Data Fields
ref_app_parking_handle Struct Reference

## Data Fields
ref_app_parking_config_t | parking_config
acc_config_t * | sensor_config
acc_sensor_id_t | sensor_id
acc_sensor_t * | sensor
void * | buffer
uint32_t | buffer_size
acc_cal_result_t | cal_result
uint32_t | measure_timeout_ms
float * | noise_magnitudes
int16_t | noise_cal_temp
float | noise_level
float * | obstruction_distances
float * | obstruction_magnitudes
signature_t | obstruction_center
float | obstruction_noise_level
signature_t | obstruction_lp_signature
float | obstruction_lp_const
float | obstruction_energy_threshold
float | obstruction_weighted_distance_threshold
float * | distances
float * | norm_distances
float * | magnitudes
signature_t * | signature_history
signature_t * | signature_history_sorted
acc_processing_t * | proc
acc_processing_metadata_t | proc_meta
acc_processing_result_t | proc_result

## Detailed Description

Definition at line 34 of file ref_app_parking.c.

## Field Documentation

## ◆ buffer

void* ref_app_parking_handle::buffer

Definition at line 43 of file ref_app_parking.c.

## ◆ buffer_size

uint32_t ref_app_parking_handle::buffer_size

Definition at line 44 of file ref_app_parking.c.

## ◆ cal_result

acc_cal_result_t ref_app_parking_handle::cal_result

Definition at line 45 of file ref_app_parking.c.

## ◆ distances

float* ref_app_parking_handle::distances

Definition at line 64 of file ref_app_parking.c.

## ◆ magnitudes

float* ref_app_parking_handle::magnitudes

Definition at line 66 of file ref_app_parking.c.

## ◆ measure_timeout_ms

uint32_t ref_app_parking_handle::measure_timeout_ms

Definition at line 46 of file ref_app_parking.c.

## ◆ noise_cal_temp

int16_t ref_app_parking_handle::noise_cal_temp

Definition at line 50 of file ref_app_parking.c.

## ◆ noise_level

float ref_app_parking_handle::noise_level

Definition at line 51 of file ref_app_parking.c.

## ◆ noise_magnitudes

float* ref_app_parking_handle::noise_magnitudes

Definition at line 49 of file ref_app_parking.c.

## ◆ norm_distances

float* ref_app_parking_handle::norm_distances

Definition at line 65 of file ref_app_parking.c.

## ◆ obstruction_center

signature_t ref_app_parking_handle::obstruction_center

Definition at line 56 of file ref_app_parking.c.

## ◆ obstruction_distances

float* ref_app_parking_handle::obstruction_distances

Definition at line 54 of file ref_app_parking.c.

## ◆ obstruction_energy_threshold

float ref_app_parking_handle::obstruction_energy_threshold

Definition at line 60 of file ref_app_parking.c.

## ◆ obstruction_lp_const

float ref_app_parking_handle::obstruction_lp_const

Definition at line 59 of file ref_app_parking.c.

## ◆ obstruction_lp_signature

signature_t ref_app_parking_handle::obstruction_lp_signature

Definition at line 58 of file ref_app_parking.c.

## ◆ obstruction_magnitudes

float* ref_app_parking_handle::obstruction_magnitudes

Definition at line 55 of file ref_app_parking.c.

## ◆ obstruction_noise_level

float ref_app_parking_handle::obstruction_noise_level

Definition at line 57 of file ref_app_parking.c.

## ◆ obstruction_weighted_distance_threshold

float ref_app_parking_handle::obstruction_weighted_distance_threshold

Definition at line 61 of file ref_app_parking.c.

## ◆ parking_config

ref_app_parking_config_t ref_app_parking_handle::parking_config

Definition at line 37 of file ref_app_parking.c.

## ◆ proc

acc_processing_t* ref_app_parking_handle::proc

Definition at line 69 of file ref_app_parking.c.

## ◆ proc_meta

acc_processing_metadata_t ref_app_parking_handle::proc_meta

Definition at line 70 of file ref_app_parking.c.

## ◆ proc_result

acc_processing_result_t ref_app_parking_handle::proc_result

Definition at line 71 of file ref_app_parking.c.

## ◆ sensor

acc_sensor_t* ref_app_parking_handle::sensor

Definition at line 42 of file ref_app_parking.c.

## ◆ sensor_config

acc_config_t* ref_app_parking_handle::sensor_config

Definition at line 38 of file ref_app_parking.c.

## ◆ sensor_id

acc_sensor_id_t ref_app_parking_handle::sensor_id

Definition at line 41 of file ref_app_parking.c.

## ◆ signature_history

signature_t* ref_app_parking_handle::signature_history

Definition at line 67 of file ref_app_parking.c.

## ◆ signature_history_sorted

signature_t* ref_app_parking_handle::signature_history_sorted

Definition at line 68 of file ref_app_parking.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/reference_apps/ref_app_parking.c